[Tux4kids-commits] r145 - tuxmath/people/holger tuxtype/people/holger

Holger Levsen h01ger-guest at alioth.debian.org
Tue Apr 3 15:43:33 UTC 2007


Author: h01ger-guest
Date: 2007-04-03 15:43:33 +0000 (Tue, 03 Apr 2007)
New Revision: 145

Modified:
   tuxmath/people/holger/make_debian_packages
   tuxtype/people/holger/make_debian_packages
Log:
- fixed scripts to work with new svn on alioth
- some more error checking


Modified: tuxmath/people/holger/make_debian_packages
===================================================================
--- tuxmath/people/holger/make_debian_packages	2007-04-03 14:24:33 UTC (rev 144)
+++ tuxmath/people/holger/make_debian_packages	2007-04-03 15:43:33 UTC (rev 145)
@@ -1,17 +1,29 @@
 #!/bin/sh
 
-# copyright 2006 Holger Levsen
+# copyright 2006-2007 Holger Levsen
 # released under the GPL version2
 #
 # attack of the ugly scripts! i think i want to learn about svn-buildpackage next...
 
+which fakeroot || {
+	echo error: please install the fakeroot package
+	exit 1
+}
+which dpkg-source || {
+	echo error: please install the dpkg-dev package
+	exit 1
+}
+which debdiff || {
+	echo error: please install the devscripts package
+	exit 1
+}
+
 if [ "$1" == "" ] ; then echo "upstream version missing, e.g. 0.97"; exit 1 ; fi
 if [ "$2" == "" ] ; then echo "debian reversion missing, e.g. 1"; exit 1 ; fi
 
 mkdir -p results
 cd results
 
-
 #
 # checkout the code from svn if no local tuxmath_${1}.orig.tar.gz  exists
 # (this allows local modifications to the debian directory)
@@ -30,7 +42,7 @@
 	#
 	# checkout and prepare source from svn
 	#
-	svn export  http://svn.tux4kids.net/tuxmath/trunk ./tuxmath-$1
+	svn export  svn://svn.debian.org/svn/tux4kids/tuxmath/trunk ./tuxmath-$1
 	#fake  begin
 	#mkdir ./tuxmath-$1
 	#cd ./tuxmath-$1
@@ -41,7 +53,7 @@
 	tar czvf tuxmath_${1}.orig.tar.gz ./tuxmath-$1
 
 	cd tuxmath-$1
-	svn export  http://svn.tux4kids.net/tuxmath/people/holger/tuxmath/debian
+	svn export  svn://svn.debian.org/svn/tux4kids/tuxmath/people/holger/tuxmath/debian
 	cd ..
 fi
 
@@ -85,4 +97,4 @@
 echo
 echo now run 
 echo pbuilder build tuxmath_$1-$2.dsc
-
+echo if you plan to upload the package

Modified: tuxtype/people/holger/make_debian_packages
===================================================================
--- tuxtype/people/holger/make_debian_packages	2007-04-03 14:24:33 UTC (rev 144)
+++ tuxtype/people/holger/make_debian_packages	2007-04-03 15:43:33 UTC (rev 145)
@@ -5,6 +5,18 @@
 #
 # attack of the ugly scripts! i think i want to learn about svn-buildpackage next...
 
+which fakeroot || {
+	echo error: please install the fakeroot package
+	exit 1
+}
+which dpkg-source || {
+	echo error: please install the dpkg-dev package
+	exit 1
+}
+which debdiff || {
+	echo error: please install the devscripts package
+	exit 1
+}
 
 if [ "$1" == "" ] ; then echo "upstream version missing, e.g. 1.5.6"; exit 1 ; fi
 if [ "$2" == "" ] ; then echo "debian reversion missing, e.g. 1"; exit 1 ; fi
@@ -13,7 +25,7 @@
 cd results
 
 # checkout and prepare source
-svn export  http://svn.tux4kids.net/tuxtype/trunk ./tuxtype-$1
+svn export  svn://svn.debian.org/svn/tux4kids/tuxtype/trunk ./tuxtype-$1
 #fake  begin
 #mkdir ./tuxtype-$1
 #cd ./tuxtype-$1
@@ -46,10 +58,10 @@
 
 
 cd tuxtype-$1.dfsg1
-svn export  http://svn.tux4kids.net/tuxtype/people/holger/tuxtype/debian
+svn export  svn://svn.debian.org/svn/tux4kids/tuxtype/people/holger/tuxtype/debian
 cd ..
 cd tuxtype-data-nonfree-$1.dfsgnonfree1
-svn export  http://svn.tux4kids.net/tuxtype/people/holger/tuxtype-data-nonfree/debian
+svn export  svn://svn.debian.org/svn/tux4kids/tuxtype/people/holger/tuxtype-data-nonfree/debian
 cd ..
 
 cd ./tuxtype-$1.dfsg1
@@ -92,4 +104,5 @@
 # remove "-v1.0.4" once the new tuxtype version is in sid
 echo pbuilder build --debbuildopts -v1.0-4  tuxtype_$1.dfsg1-$2.dsc
 echo pbuilder build tuxtype-data-nonfree_$1.dfsgnonfree1-$2.dsc
+echo if you plan to upload the package
 




More information about the Tux4kids-commits mailing list